
When my mother came in, I asked her 'How hot do you have to get before you die?' I had the sensation that the heat would burst my body. My mother threw herself on her knees and started to pray aloud.

At that moment, a blue ray of light came down from above, and touched my body at the heart or central chest. Where it touched, the heat was dispelled by the most exquisite coolness. This immense relieving coolness spread from the center to the extremities. Then I found myself travelling up the blue ray of light. The color was indescribably beautiful, alive, delicious, shimmering and enveloping me. I was moving upwards, I sensed, at great speed. I thought, 'this must be how death feels, how anyone can fear this wonderful release, this joy?'

Then I glanced back, down the light, to the bedroom where my body lay on the bed. This all happened very quickly, it felt like a matter of seconds. The bed was distant, about the size of a matchbox, and I could see my body on it. I could just make out my mother, still on her knees, beside the bed. My next thought was, 'I can't do this to her'. So, I turned my head downward, down the ray of light, and struggled to pull myself back into my body.

I was disappointed, even sad, to return, but felt it was the right thing to do, for my mother's sake. I came back to consciousness in my body. My mother had pulled me into a sitting position on the bed, and was shaking me like a rag doll. She was screaming, 'Don't you dare die, Cassandra!' She was slapping my face, forehand and backhand, as I opened my eyes. My fever broke in that experience, and I recovered over the next three or four weeks. I was certain that what I had experienced was not a feverish dream or hallucination. I was also certain that it was not my mother calling me that turned me back. She had lost three babies before, and had a bad experience giving birth to me. I knew that she needed motherhood to give meaning to her life. I simply did not want to deprive her of a daughter. I have never feared death since then.
